using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ImageBlockz.Gui
{
    public partial class ListViewTasks : UserControl
    {
        public ListViewTasks()
        {
            InitializeComponent();
        }

        public void AddRow(string name, string description)
        {
            int index = listView1.Items.Count + 1;

            ListViewItem item = new ListViewItem(index.ToString());
            item.SubItems.Add(name);
            item.SubItems.Add(description);
            listView1.Items.Insert(0, item);
        }

        public void ClearAll()
        {
            listView1.Items.Clear();
        }
    }
}
